### Method

# Gimp Drawable type_with_alpha

#### Declaration [src]

    GimpImageType
    gimp_drawable_type_with_alpha (
      GimpDrawable* drawable
    )

#### Description [src]

Returns the drawable’s type with alpha.

This procedure returns the drawable’s type as if had an alpha channel. If the type is currently Gray, for instance, the returned type would be GrayA. If the drawable already has an alpha channel, the drawable’s type is simply returned.

#### Return value

Type: `GimpImageType`

The drawable’s type with alpha.